<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>WarpTree: WarpTreeNode Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.0 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li id="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
  </ul></div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul></div>
<h1>WarpTreeNode Class Reference</h1><!-- doxytag: class="WarpTreeNode" --><code>#include &lt;<a class="el" href="warptreeview_8h-source.html">warptreeview.h</a>&gt;</code>
<p>
<a href="classWarpTreeNode-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeNode.html#950b8e5be74d4a6f8af732e0f8f0f924">WarpTreeNode</a> (int d)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">QModelIndex&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeNode.html#59baf7853dd8810fe757318fd2c133bb">index</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeNode.html#5c97703b27dd8f54b3862162af7110cc">rect</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpTreeNode.html#3dc9a70799e29c35f96a0e6107b19200">depth</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class that hold information about one node in the <a class="el" href="classWarpTreeView.html">WarpTreeView</a> 
<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="950b8e5be74d4a6f8af732e0f8f0f924"></a><!-- doxytag: member="WarpTreeNode::WarpTreeNode" ref="950b8e5be74d4a6f8af732e0f8f0f924" args="(int d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WarpTreeNode::WarpTreeNode           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a new <a class="el" href="classWarpTreeNode.html">WarpTreeNode</a> 
</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="59baf7853dd8810fe757318fd2c133bb"></a><!-- doxytag: member="WarpTreeNode::index" ref="59baf7853dd8810fe757318fd2c133bb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QModelIndex <a class="el" href="classWarpTreeNode.html#59baf7853dd8810fe757318fd2c133bb">WarpTreeNode::index</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The data belonging to this node. 
</div>
</div><p>
<a class="anchor" name="5c97703b27dd8f54b3862162af7110cc"></a><!-- doxytag: member="WarpTreeNode::rect" ref="5c97703b27dd8f54b3862162af7110cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QRect <a class="el" href="classWarpTreeNode.html#5c97703b27dd8f54b3862162af7110cc">WarpTreeNode::rect</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The bounding rectangle for this node. 
</div>
</div><p>
<a class="anchor" name="3dc9a70799e29c35f96a0e6107b19200"></a><!-- doxytag: member="WarpTreeNode::depth" ref="3dc9a70799e29c35f96a0e6107b19200" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classWarpTreeNode.html#3dc9a70799e29c35f96a0e6107b19200">WarpTreeNode::depth</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The depth in the hierarchy of this node. The root node has depth 0. 
</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="warptreeview_8h-source.html">warptreeview.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Sat Jun 2 19:18:06 2007 for WarpTree by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.0 </small></address>
</body>
</html>
